PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List customers GETCreate a customer POSTGet a customer GETUpdate a customer PATCHDelete a customer DELETE
Customers

Create a customer

POST
/customers

Authorization

x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/customers" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "id": "string",    "name": "string",    "email": "string",    "phone": "string",    "company": "string",    "role": "string",    "typeIds": [      "string"    ],    "types": [      {        "id": "string",        "name": "string",        "color": "string",        "icon": "string"      }    ],    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}

List customers GET

Previous Page

Get a customer GET

Next Page

name?string
email?string
company?string
phone?string
typeIds?array<string>